Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 21 Jan 2014 21:33:49 +0300
From:      Odhiambo Washington <odhiambo@gmail.com>
To:        wishmaster <artemrts@ukr.net>
Cc:        questions <questions@freebsd.org>
Subject:   Re: Re[2]: 9.2 -> 10.0 Compille error.
Message-ID:  <CAAdA2WOEJyiefjRL=SKPRSkgWhYNDWxL-Q=xocsv3B7X2sUjrw@mail.gmail.com>
In-Reply-To: <1390321475.740479345.wsfoy2po@frv34.ukr.net>
References:  <1390318454.138054037.136hfeiu@frv34.ukr.net> <CAAdA2WNAruJ9LxmU=O+jgiCm2YVbMuO-As+ykyOw0Jw5kc850w@mail.gmail.com> <1390321475.740479345.wsfoy2po@frv34.ukr.net>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
A good guy going by the names of Ralf S. Engelschall used o document major
upgrade procedures here ->http://people.freebsd.org/~rse/upgrade/ and I
remember I tested his procedure for upgrade from 8.x -> 9.x and it worked!!
He was most responsive and helpful. However, such procedure seems untenable
for 9.x -> 10.x ... there are so many changes in 10.0 that it would just
make sense to install 10.0 and migrate your data instead of upgrading from
9.x. However, this is a rope you've chosen for yourself. Go right ahead and
commit the digital suicide:)


On 21 January 2014 19:33, wishmaster <artemrts@ukr.net> wrote:

>
> >
> > Does this mean you are UPDATING from 9.2 to 10.0-RELEASE??
>
>  Yes. It does. If be more exactly from 9.2-STABLE to 10-STABLE
>
> > Hmm, better just do a fresh install. There may be ways out though, but
> I'd not try it with the changes I saw in 10.0!!
>
>  It is unable. I have just droped src.conf and make.conf to defaults .or
> the time being without errors.
> Below src.conf. May be anybody can point me to my mistake. I think there
> is some dependencies which I've broken:
>
> WITHOUT_ATM=true
> WITHOUT_AMD=true
> WITHOUT_APM=true
> WITHOUT_AUDIT=true
> WITHOUT_BLUETOOTH=true
> WITHOUT_BSNMP=true
> WITHOUT_CALENDAR=true
> WITHOUT_CDDL=true
> WITHOUT_CTM=true
> WITHOUT_CROSS_COMPILER=true
> WITHOUT_DICT=true
> WITHOUT_FLOPPY=true
> WITHOUT_FREEBSD_UPDATE=true
> WITHOUT_GAMES=true
> WITHOUT_GDB=true
> WITHOUT_GCOV=true
> WITHOUT_HTML=true
> WITHOUT_INET6=true
> WITHOUT_IPFILTER=true
> WITHOUT_PF=true
> #WITHOUT_IPFW=true
> #WITHOUT_INSTALLLIB=true
> WITHOUT_IPX=true
> #WITHOUT_JAIL=true
> WITHOUT_LEGACY_CONSOLE=true
> WITHOUT_LPR=true
> WITHOUT_NDIS=true
> #WITHOUT_NIS=true
> WITHOUT_NCP=true
> WITHOUT_NTP=true
> WITHOUT_PROFILE=true
> WITHOUT_RCMDS=true
> WITHOUT_ROUTED=true
> WITHOUT_RESCUE=true
> #WITHOUT_QUOTAS=true
> WITHOUT_SENDMAIL=true
> WITHOUT_SHAREDOCS=true
> WITH_SVN=true
> WITHOUT_TCSH=true
> WITHOUT_USB=true
> WITHOUT_WIRELESS=true
> WITHOUT_WPA_SUPPLICANT_EAPOL=true
> WITHOUT_ZFS=true
>
>
>
> >
> >
> >
> >
> >
> > On 21 January 2014 18:35, wishmaster wrote:
> > Hi,
>
> anybody has had this error?
>
> cc   -O2 -pipe -march=pentium4 -fpic -fvisibility=hidden
> -DVISIBILITY_HIDDEN -std=gnu99 -Qunused-arguments  -fstack-protector
> -Wsystem-headers -Werror -Wall -Wno-format-y2k -Wno-uninitialized
> -Wno-pointer-sign -Wno-empty-body -Wno-string-plus-int
> -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality
> -Wno-unused-function -Wno-enum-conversion -Wno-switch -Wno-switch-enum
> -Wno-knr-promoted-parameter -c
> /usr/src/lib/libcompiler_rt/../../contrib/compiler-rt/lib/absvdi2.c -o
> absvdi2.o
> cc: unrecognized option '-Qunused-arguments'
> cc1: error: unrecognized command line option "-Wno-empty-body"
> cc1: error: unrecognized command line option "-Wno-string-plus-int"
> cc1: error: unrecognized command line option "-Wno-tautological-compare"
> cc1: error: unrecognized command line option "-Wno-parentheses-equality"
> cc1: error: unrecognized command line option "-Wno-enum-conversion"
> cc1: error: unrecognized command line option "-Wno-knr-promoted-parameter"
> *** Error code 1
>
> Stop.
> bmake[3]: stopped in /usr/src/lib/libcompiler_rt
> *** Error code 1
>
> Stop.
> bmake[2]: stopped in /usr/src
> *** Error code 1
>
> Stop.
> bmake[1]: stopped in /usr/src
> *** Error code 1
>
> Stop.
> bmake: stopped in /usr/src
> *** [buildworld] Error code 1
>
> Stop in /usr/src.
> _______________________________________________
> freebsd-questions@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-questions
> To unsubscribe, send any mail to "
> freebsd-questions-unsubscribe@freebsd.org"
>
>
> >
> >
> >
> >
> > --
> > Best regards,
> > Odhiambo WASHINGTON,
> > Nairobi,KE
> > +254733744121/+254722743223
> > "I can't hear you -- I'm using the scrambler."
> >
>



-- 
Best regards,
Odhiambo WASHINGTON,
Nairobi,KE
+254733744121/+254722743223
"I can't hear you -- I'm using the scrambler."



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAAdA2WOEJyiefjRL=SKPRSkgWhYNDWxL-Q=xocsv3B7X2sUjrw>